#include <windows.h>
#include <winioctl.h>
#include "sdk_gpio.h"


int WINAPI WinMain(HINSTANCE hInstance,
                   HINSTANCE hPrevInstance,
                   LPWSTR    lpCmdLine,
                   int       nCmdShow)
{
	BOOL bTest1 = TRUE;
	HANDLE hGPIO;
	DWORD * lpdwBuf;

	hGPIO = GPIOOpen();
	if (hGPIO == NULL) {
		RETAILMSG(1, (L"GPIOOpen failed\r\n"));
		return 0;
	}

	GPIOSetDir(hGPIO, 81, GPIO_DIR_OUTPUT);
	GPIOSetDir(hGPIO, 82, GPIO_DIR_OUTPUT);
	GPIOWritePin(hGPIO, 82, 0);
	GPIOWritePin(hGPIO, 81, 0);

	lpdwBuf = (DWORD*)GPIO_MmMapIoSpace(hGPIO, 0x2D90000, 8192);
	RETAILMSG(1, (L"\r\neTSEC ver %x\r\n", lpdwBuf[0]));

	while(bTest1){
		GPIOTogglePin(hGPIO, 82);
		Sleep(10);
	}

	VirtualFree(lpdwBuf, 0, MEM_RELEASE);

	GPIOClose(hGPIO);
	return 0;
}